import setuptools
import os

# Get package environment
config_path = os.path.join(os.path.dirname(__file__), "src", "acelerai_config.py")
env = {}
with open(config_path, "r") as f:
    exec(f.read(), env)
package_env = env.get("PACKAGE_ENV", "production")
version = env.get("PACKAGE_VERSION", "0.0.1")

name = "acelerai" if package_env == "production" else "acelerai-staging"

setuptools.setup(
    name = name,
    version = version,
    author = "DaniloAraneda",
    author_email = "danilo@alert2gain.com",
    description = "short package description",
    classifiers = [
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    package_dir = {"": "src"},
    py_modules=["acelerai_config"],
    packages = setuptools.find_packages(where="src"),
    include_package_data=True, 
    package_data={
        "acelerai_inputstream.models": ["*.json", "*.yaml", "*.txt", "*.py"] # Ajusta según los archivos que tengas
    },
    python_requires = ">=3.10.0",
    install_requires = [
        "httpx[http2]",
        "msgpack",
        "python-dateutil",
        "requests",
    ]
)
